Package org.jboss.modules.security

# Class ImmediatePermissionFactory

java.lang.Object
org.jboss.modules.security.ImmediatePermissionFactory

All Implemented Interfaces:
  `PermissionFactory`

public final class ImmediatePermissionFactory extends Object implements PermissionFactory
A permission factory which simply holds a permission object.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ImmediatePermissionFactory(Permission permission)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`Permission`
`construct()`
Construct a new instance of the permission.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmediatePermissionFactory

public ImmediatePermissionFactory(Permission permission)
Construct a new instance.

Parameters:
  `permission` - the permission to return

## Method Details

### construct

public Permission construct()
Description copied from interface: `PermissionFactory`
Construct a new instance of the permission. The instance may be cached.

Specified by:
  `construct` in interface `PermissionFactory`
Returns:
  the permission